using StubCore.Entities;
using System.Collections.Generic;

namespace StubCore.Plugins.DataCollector
{
    public class DataCollectorClass
    {
        /// <summary>
        /// Data for list of transport types
        /// </summary>
        /// <returns>List with transport types for any dropdown list</returns>
        /// <remarks>
        /// Last changed: 29.09.2015
        /// Author: Mikhael Aktsyzniy
        /// </remarks>
        public static List<TType> GetTransportTypeOptions()
        {
            List<TType> typeList = new List<TType>();

            typeList.Add(new TType() { id = "application/json", value = "Application Json" });
            typeList.Add(new TType() { id = "application/xml", value = "Application XML" });
            typeList.Add(new TType() { id = "text/xml", value = "Text XML" });
            typeList.Add(new TType() { id = "application/soap+xml", value = "Application Soap + XML" });

            return typeList;
        }

        /// <summary>
        /// List of Query types
        /// </summary>
        /// <returns>List with query types</returns>
        /// <remarks>
        /// Last changed: 07.10.2015
        /// Author: Mikhael Aktsyzniy
        /// </remarks>
        public static List<TType> GetQueryTypeOptions()
        {
            List<TType> queryTypes = new List<TType>();
            queryTypes.Add(new TType() { id = "query", value = "Standart query" });
            queryTypes.Add(new TType() { id = "flexquery", value = "Flex query" });

            return queryTypes;
        }
    }
}
